using System;
namespace ConsoleApp5
{
    class Program
    {
        static void Main(string[] args)
        {
            ulong a = ulong.Parse(Console.ReadLine()),i,j;
            ulong b = ulong.Parse(Console.ReadLine());
            ulong br = 1;
            for (i = Math.Min(a, b), j = Math.Max(a, b),a=0; i > 0; i /= 10, j /= 10,br*=10)
            {
                a += br * Math.Max(i % 10, j % 10);
                if (i % 10 == j % 10) { br *= 10; a += br * Math.Max(i % 10, j % 10); }
            }
            a += br * j;
            Console.WriteLine(a);
        }

    }
}